Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.logging
Class WLLevel

    java.lang.Object
      java.util.logging.Level
          weblogic.logging.WLLevel

All Implemented Interfaces:
  Serializable

public class WLLevel
extends Level

This class enumerates the WebLogic specific logging levels. This class acts like an adapter between the JDK 1.4 Logging API and WebLogic Logging. It defines a mapping between the Level and Severities classes in the two APIs.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static WLLevel` | `ALERT`
`static int` | `ALERT_INT`
`static WLLevel` | `CRITICAL`
`static int` | `CRITICAL_INT`
`static WLLevel` | `DEBUG`
`static int` | `DEBUG_INT`
`static WLLevel` | `EMERGENCY`
`static int` | `EMERGENCY_INT`
`static WLLevel` | `ERROR`
`static int` | `ERROR_INT`
`static WLLevel` | `INFO`
`static int` | `INFO_INT`
`static WLLevel` | `NOTICE`
`static int` | `NOTICE_INT`
`static WLLevel` | `OFF`
`static int` | `OFF_INT`
`static WLLevel` | `TRACE`
`static int` | `TRACE_INT`
`static WLLevel` | `WARNING`
`static int` | `WARNING_INT`

Fields inherited from class java.util.logging.Level
`ALL, CONFIG, FINE, FINER, FINEST, SEVERE`

Method Summary
`protected String` | `getHeader(Level level)` Deprecated.
`static Level` | `getLevel(int severity)` Converts severity code to a corresponding Level object.
`String` | `getLocalizedName()` Gets the localized name for this level.
`int` | `getSeverity()` Gets the severity code for this level.
`static int` | `getSeverity(Level level)` Maps a Level object to an severity code

Methods inherited from class java.util.logging.Level
`equals, getName, getResourceBundleName, hashCode, intValue, parse, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ALERT

    public static final WLLevel ALERT

### ALERT_INT

    public static final int ALERT_INT

See Also:
  Constant Field Values

### CRITICAL

    public static final WLLevel CRITICAL

### CRITICAL_INT

    public static final int CRITICAL_INT

See Also:
  Constant Field Values

### DEBUG

    public static final WLLevel DEBUG

### DEBUG_INT

    public static final int DEBUG_INT

See Also:
  Constant Field Values

### EMERGENCY

    public static final WLLevel EMERGENCY

### EMERGENCY_INT

    public static final int EMERGENCY_INT

See Also:
  Constant Field Values

### ERROR

    public static final WLLevel ERROR

### ERROR_INT

    public static final int ERROR_INT

See Also:
  Constant Field Values

### INFO

    public static final WLLevel INFO

### INFO_INT

    public static final int INFO_INT

See Also:
  Constant Field Values

### NOTICE

    public static final WLLevel NOTICE

### NOTICE_INT

    public static final int NOTICE_INT

See Also:
  Constant Field Values

### OFF

    public static final WLLevel OFF

### OFF_INT

    public static final int OFF_INT

See Also:
  Constant Field Values

### TRACE

    public static final WLLevel TRACE

### TRACE_INT

    public static final int TRACE_INT

See Also:
  Constant Field Values

### WARNING

    public static final WLLevel WARNING

### WARNING_INT

    public static final int WARNING_INT

See Also:
  Constant Field Values

Method Detail

### getHeader

    protected String getHeader(Level level)

  Deprecated.

  Utility method to convert a generic Level to one of the standard Severity strings.

### getLevel

    public static Level getLevel(int severity)

  Converts severity code to a corresponding Level object.

### getLocalizedName

    public String getLocalizedName()

  Gets the localized name for this level.

  Returns:

### getSeverity

    public int getSeverity()

  Gets the severity code for this level.

  Returns:

### getSeverity

    public static int getSeverity(Level level)

  Maps a Level object to an severity code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD